# Uses of Interface
org.eclipse.rap.rwt.application.EntryPoint

Packages that use EntryPoint
Package
Description
org.eclipse.rap.rwt.application

## Uses of EntryPoint in org.eclipse.rap.rwt.application

Classes in org.eclipse.rap.rwt.application that implement EntryPoint
Modifier and Type
Class
Description
`class`
`AbstractEntryPoint`
This class provides a skeletal implementation of the `EntryPoint` interface, to minimize the effort required to implement this interface.
Methods in org.eclipse.rap.rwt.application that return EntryPoint
Modifier and Type
Method
Description
`EntryPoint`
EntryPointFactory.`create()`
Creates a new entrypoint instance.
Method parameters in org.eclipse.rap.rwt.application with type arguments of type EntryPoint
Modifier and Type
Method
Description
`void`
Application.`addEntryPoint(String path, Class<? extends EntryPoint> entryPointType, Map<String,String> properties)`
Registers an entrypoint at the given servlet path.